#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""Setup script"""

import configparser
import setuptools

config = configparser.ConfigParser()
config.read('setup.cfg')

setuptools.setup(
    scripts=['mastodon_email_bridge/mastodon_email_bridge.py'],
    author="Antonio J. Delgado",
    version=config['metadata']['version'],
    name=config['metadata']['name'],
    author_email="ad@susurrando.com",
    url="https://codeberg.org/adelgado/mastodon_email_bridge",
    description="Redirect your Mastodon Home timeline to your email",
    long_description="README.md",
    long_description_content_type="text/markdown",
    license="GPLv3",
    keywords=["Mastodon", "email", "fediverse", "ActivityPub"],
    include_package_data=True,
)
